version: "3.8"
services:
  wg-easy:
    environment:
      # ⚠️ Required:
      # Change this to your host's public address
      - WG_HOST=fourtwogoods.top

      # https://github.com/WeeJeWel/wg-easy
      # Optional:
      - PASSWORD=crKAad6mNr7R7ZpHQ7iuG
      # - WG_PORT=51820
      # - WG_DEFAULT_ADDRESS=10.8.0.x
      # - WG_DEFAULT_DNS=1.1.1.1
      # - WG_MTU=1420
      # - WG_ALLOWED_IPS=192.168.15.0/24, 10.0.1.0/24
      
    image: weejewel/wg-easy
    container_name: wg-easy
    volumes:
      - /opt/docker-data/wireguard/wg-easy:/etc/wireguard
    ports:
      - "51820:51820/udp"
      - "51831:51821/tcp"   #The Web UI will now be available on http://0.0.0.0:51831
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    sysctls:
      - net.ipv4.ip_forward=1
      - net.ipv4.conf.all.src_valid_mark=1
